diff --git a/INSTALL b/INSTALL
index 4a96ce6..d8e81fa 100644
--- a/INSTALL
+++ b/INSTALL
@@ -140,7 +140,7 @@ You will need:
 - Windows 2000 or above.
 - Microsoft Visual C++ 2010.
 - The Windows 2010 Platform SDK.
-- Windows Installer XML v3.
+- Windows Installer XML v3 from http://wixtoolset.org/
 - wxMSW 2.8.11 or above from http://www.wxwidgets.org/
 - libxml2 2.6.18 or above from http://www.xmlsoft.org/
 - libxslt 1.1.x or above from http://www.xmlsoft.org/
@@ -179,11 +179,17 @@ Building:
    names than what pgAdmin expects.  If pgAdmin can't find the iconv
    libraries, you may need to rename libiconv.a to iconv_a.lib and
    libiconv.dll.a to iconv.lib.
+
+6) In order to build an Installer target (pgadmin3.msi), install Windows
+   Installer XML v3 and configure the %WIXDIR% environment variable to point
+   to it's bin directory.
    
-6) Start Visual C++ and load the pgAdmin solution file. Build the required 
+7) Start Visual C++ and load the pgAdmin solution file. Build the required 
    targets.
+   Microsoft Visual C++ 2010 Express Edition is enough to build the executable,
+   though it misses some files required to build an Installer target.
 
-7) To run the resulting executable, you'll need to copy all of the
+8) To run the resulting executable, you'll need to copy all of the
    prerequisite DLLs from the wxWidgets and PostgreSQL installations and the 
    various subdirectories of %PGBUILD% into the directory where the EXE file
    is located, or have those directories in your path.
diff --git a/pkg/win32/Make.bat b/pkg/win32/Make.bat
index 03b2368..4f1b43c 100644
--- a/pkg/win32/Make.bat
+++ b/pkg/win32/Make.bat
@@ -9,7 +9,10 @@ SET APPNAME=pgAdmin III
 SET APPKEYWORDS=PostgreSQL, pgAdmin
 SET APPCOMMENTS=PostgreSQL Tools
 SET APPDESCRIPTION=Management and administration tools for the PostgreSQL DBMS
+
+if NOT "%WIXDIR"=="" GOTO WIXDIR_SET
 SET WIXDIR="C:\Program Files (x86)\Windows Installer XML v3\bin"
+:WIXDIR_SET
 
 SET BUILDTREE="../.."
 
diff --git a/pkg/win32/src/i18ndata.wxs b/pkg/win32/src/i18ndata.wxs
index 7a13b60..2558c4f 100644
--- a/pkg/win32/src/i18ndata.wxs
+++ b/pkg/win32/src/i18ndata.wxs
@@ -1,12 +1,12 @@
 <?xml version="1.0" encoding="UTF-8" ?>
 <Include>
 
-    <Directory Id="i18n_af_ZA" Name="af_ZA">
+<!--    <Directory Id="i18n_af_ZA" Name="af_ZA">
         <Component Id="i18n_af_ZA" Guid="{07EE9D86-C170-4328-A79C-3B9D74F2774D}">
             <File Id="i18n_af_ZA.pgadmin3.mo" Name="pgadmin3.mo" DiskId="1" Source="$(var.BUILDTREE)/i18n/af_ZA/pgadmin3.mo" />
             <File Id="i18n_af_ZA.wxstd.mo" Name="wxstd.mo" DiskId="1" Source="$(var.BUILDTREE)/i18n/af_ZA/wxstd.mo" />
         </Component>
-    </Directory>
+    </Directory> -->
 <!--    <Directory Id="i18n_ar_SA" Name="ar_SA">
         <Component Id="i18n_ar_SA" Guid="{B6586ABD-A163-4997-A78C-006FEBD4C887}">
             <File Id="i18n_ar_SA.pgadmin3.mo" Name="pgadmin3.mo" DiskId="1" Source="$(var.BUILDTREE)/i18n/ar_SA/pgadmin3.mo" />
